## cd-it8-utils

cd-it8-utils — Utilities for working with CdIt8 objects

## Functions

gboolean | cd_it8_utils_calculate_ccmx ()
gboolean | cd_it8_utils_calculate_xyz_from_cmf ()
gboolean | cd_it8_utils_calculate_cri_from_cmf ()
gboolean | cd_it8_utils_calculate_gamma ()

## Description

Functions to do cool things with sets of reference and measurements.

## Functions

### cd_it8_utils_calculate_ccmx ()

    gboolean
    cd_it8_utils_calculate_ccmx (CdIt8 *it8_reference,
                                 CdIt8 *it8_measured,
                                 CdIt8 *it8_ccmx,
                                 GError **error);

This calculates the colorimeter correction matrix using the Four-Color Matrix Method by Yoshihiro Ohno and Jonathan E. Hardis, 1997.

#### Parameters

it8_reference | The reference data |
it8_measured | The measured data |
it8_ccmx | The calculated correction matrix |
error | A GError, or `NULL` |

#### Returns

`TRUE` if a correction matrix was found.

### cd_it8_utils_calculate_xyz_from_cmf ()

    gboolean
    cd_it8_utils_calculate_xyz_from_cmf (CdIt8 *cmf,
                                         CdSpectrum *illuminant,
                                         CdSpectrum *spectrum,
                                         CdColorXYZ *value,
                                         gdouble resolution,
                                         GError **error);

This calculates the XYZ from a CMF, illuminant and input spectrum.

#### Parameters

cmf | The color match function |
illuminant | The illuminant (you can use `cd_spectrum_new()` for type E) |
spectrum | The CdSpectrum input data |
value | The CdColorXYZ result |
resolution | The resolution in nm, typically 1.0 |
error | A GError, or `NULL` |

#### Returns

`TRUE` if a XYZ value was set.

### cd_it8_utils_calculate_cri_from_cmf ()

    gboolean
    cd_it8_utils_calculate_cri_from_cmf (CdIt8 *cmf,
                                         CdIt8 *tcs,
                                         CdSpectrum *illuminant,
                                         gdouble *value,
                                         gdouble resolution,
                                         GError **error);

This calculates the CRI for a specific illuminant.

#### Parameters

cmf | The color match function |
tcs | The CIE TCS test patches |
illuminant | The illuminant |
value | The CRI result |
resolution | The resolution in nm, typically 1.0 |
error | A GError, or `NULL` |

#### Returns

`TRUE` if a XYZ value was set.

### cd_it8_utils_calculate_gamma ()

    gboolean
    cd_it8_utils_calculate_gamma (CdIt8 *it8,
                                  gdouble *gamma_y,
                                  GError **error);

This estimates the gamma from values obtained from an .ti3 file.

#### Parameters

it8 | The reference data |
gamma_y | The estimated gamma |
error | A GError, or `NULL` |

#### Returns

`TRUE` if a valid value was found.

Since: 0.2.6